Package Details: scribus1.5 21022-4

Git Clone URL: https://aur.archlinux.org/scribus1.5.git (read-only)
Package Base: scribus1.5
Description: A desktop publishing program - Version 1.5 svn
Upstream URL: http://www.scribus.net
Licenses: custom:(L)GPL
Submitter: blackhole
Maintainer: blackhole
Last Packager: blackhole
Votes: 8
Popularity: 0.259519
First Submitted: 2015-09-25 07:39
Last Updated: 2016-12-29 17:49

Dependencies (20)

Required by (0)

Sources (2)

Latest Comments

blackhole commented on 2016-12-29 17:50

Ok, I have dropped DWANT CPP11

Laser commented on 2016-12-28 00:40

I like to have this in /opt - I have 1.4.6 and this package installed.

@blackhole - another thing: Have you seen this?
https://www.scribus.net/websvn/comp.php?repname=Scribus&compare[]=/trunk/Scribus/CMakeLists.txt@21468&compare[]=/trunk/Scribus/CMakeLists.txt@21469

So it looks like DWANT CPP11 isn't necessary anymore.

blackhole commented on 2016-12-26 15:56

Ok, I have already filed a request to delete 1.5.x and installed scribus-devel on my system

ArchangeGabriel commented on 2016-12-26 13:49

OK, I definitively understand this point of view, and hence why you provide a .desktop file. And given who is maintaining scribus-svn, I’m not surprise of his behavior (just compare comments there to those in krita-git…). However I don’t think it applies for fixed point dev release (1.5.x), because the only use case for those is people who want to use a “stable” dev release IMO (in order to get ride of qt4 for instance).

If you want to test your files with both stable and dev (to check wether you’re future proof or see if you should report breakage upstream), you should use latest dev (so this package), because that is closer to what final release will be and more generally the current state of code. So I don’t see the point of packaging 1.5.x in /opt, but if you have arguments for this I may reconsider.

blackhole commented on 2016-12-26 09:43

The other package is installing in /usr
Since this is a development package (not ready for daily work), I thought that it was better to install it in /opt so both stable and instable can be used on the same PC.
I did ask some months ago to change the installation path of scribus-svn but the maintainer refused.
Moreover, a scribus developer asked me to upload both scribus 1.5 (svn) and 1.5.x preview with this installation path

ArchangeGabriel commented on 2016-12-26 02:57

What is the point of this package vs https://aur.archlinux.org/packages/scribus-svn/?

blackhole commented on 2016-08-08 09:14

Ok, now is fixed

Laser commented on 2016-08-07 19:39

With qt 5.7 line 42 of the pkgbuild has to look like this:

-DQT_PREFIX="/usr" -DWANT_CPP11=1

blackhole commented on 2016-07-05 08:19

"There will be more wide sweeping changes coming in 1.5.3 relating to text system updates for the complex language system support. People using Scribus 1.5.1 or 1.5.2 should ensure they keep document backups and the old versions installed prior to testing 1.5.3.svn and the 1.5.3 release when it arrives."

blackhole commented on 2016-02-23 10:12

I have made version 1.5.1 preview here
https://aur.archlinux.org/packages/scribus1.5.1/

All comments